Subject: Re: [X2Go-Dev] Bug#1080: can "--server" option to specify the IP of the target, desktop server be added to x2goclient cli

From: brian mullan <[email-masked]>
Date: Wed, 11 Jan 2017 17:36:49 -0500

Hi Stefan

I'd built up a remote desktop solution for some schools where the initial
desktop was on an ubuntu cloud server.

However, on that Cloud server I had dozens of LXD containers which have a
variety of different Desktop Environments in some of them
as well as different purposes.

LXD is a "system" container technology versus the Docker type "application"
container technology.

So some of the LXD containers might be more oriented to a specific "group"
of educational users like science, or writing, or even teachers.

Those LXD containers are on their own 10.x.x.x network.

I wanted to use x2go to get to the "host" server Desktop but then just have
Desktop Icon's setup to use x2goclient cli to connect them further to a
specific LXD container Desktop of their choosing.

But although pyhoca-cli supports specifying a "- -server" target the
x2goclient cli does not include that option.

However, the x2goclient cli supports other options I wanted to use that the
pyhoca-cli does not such as "no-session-edit", "hide-menu-toolbar" etc.

My use-case problem really revolved around those kind of feature option
differences between the two CLI methods.

So I submitted the wish-list bug just to ask as not being a coder I don't
know if something is alot or a little work but there was no harm asking.

I just hadn't gotten any response.   As I know you guys are busy with the
future of Artica (btw I'm anxious to see what it is/does)... I thought I'd
just send
a ping to make sure someone at least took a look at the request.

By the way... Happy New Years to all of you guys on the x2go & artica
team(s)...!

Brian

On Tue, Jan 10, 2017 at 6:48 PM, Stefan Baur <[email-masked]> wrote:

> Am 09.01.2017 um 22:24 schrieb bmullan:
> > the -- server option exists for pyhoca-cli but not for the x2goclient
> cli ?
> >
> > Could it be added to provide that feature parity in the CLI ?
>
> Brian, it seems you're the only one that's particularly interested in
> this feature. ;-)
>
> That's why I doubt it'll be coming anytime soon, unless $SOMEBODY
> submits a patch or offers to pay for it.
>
> However, maybe you'd like to share why you see a use case for it? (I
> doubt that "aesthetic beauty" is your only motivation for filing that
> wishlist bug. ;-))
> Maybe there's an easy workaround that you could use.
>
> -Stefan
>
> --
> BAUR-ITCS UG (haftungsbeschränkt)
> Geschäftsführer: Stefan Baur
> Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
> Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
>
>